Subject: Re: [bug#68146] [PATCH v2 3/3] gnu: labwc: Update to 0.7.0.

From: John Kehayias <[email-masked]>
Date: Tue, 20 Feb 2024 03:27:37 +0000

Hi Ahmad,

On Sun, Feb 04, 2024 at 05:54 PM, Ahmad Draidi wrote:

> * gnu/packages/wm.scm (labwc): Update to 0.7.0.
>
> Change-Id: I35f7faf2ba3975481780b49d0dcdef6f39af46bc
> ---
> v2: Rebase
>

Thanks! The first patch, for libdisplay-info was no longer needed as a
patch to add that was pushed in
b23fd4fb3e345d7c17b0e668bf790d310426f02b.

I pushed the second two patches starting at
b4148713d18c4b6c37639653de5191eb7f1ca4cc (very minor change in a commit
message) after checking wlroots and a couple of dependents build locally
though QA already looked good.

As an aside, we are closer now to adding hyprland which I have working
locally from another channel. On mesa-updates I will do the libdrm
update which is the only blocker besides adding some packages, I
believe. We'll also need a newer, pre-release, version of wlroots as
hyprland seems to track the latest commits.

Thanks again!
John

>  gnu/packages/wm.scm | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
>
> diff --git a/gnu/packages/wm.scm b/gnu/packages/wm.scm
> index 78af2fb210..85bb6de834 100644
> --- a/gnu/packages/wm.scm
> +++ b/gnu/packages/wm.scm
> @@ -3023,7 +3023,7 @@ (define-public libucl
>  (define-public labwc
>    (package
>      (name "labwc")
> -    (version "0.6.5")
> +    (version "0.7.0")
>      (source (origin
>                (method git-fetch)
>                (uri (git-reference
> @@ -3032,7 +3032,7 @@ (define-public labwc
>                (file-name (git-file-name name version))
>                (sha256
>                 (base32
> -                "04401k1i6b9s2v6mbhw5llla8fdpkhmgz826iva246iqch9z20lx"))))
> +                "17p3wcnggnd4v37z1dgv8nmc35nq4261s8sglr44bf71vjircggz"))))
>      (build-system meson-build-system)
>      (native-inputs
>       (list pkg-config gettext-minimal scdoc))